#ifndef BSL_NUCLEO_F042K6_H
#define BSL_NUCLEO_F042K6_H

// TODO: implement bsl as singleton!
//		 https://stackoverflow.com/questions/1008019/c-singleton-design-pattern

class Nucleo_f042k6
{		
	public: 

	Nucleo_f042k6(); 
	~Nucleo_f042k6(); 
	
	void init(); 
	void running(); 
	
	
	private : 
}; 

#endif /* BSL_NUCLEO_F042K6_H */
